{% extends "admin_base.html" %} 


{% block content %}

<div class="col-xs-12" style="height:50px;"></div>
<div class="row">
    <div class="col-md-6">
        <input type="text" id="name">
        <button class="btn btn-default "  style="border: 2px solid #f4c535;" id="search-btn">Search</button>
    </div>
    <div class="col-md-3">
        <h3>By size</h3>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:MP">Mini</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:SP">Standard</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:B">Box</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:LP">Large</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:JP">Jumbo</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:C">Container</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="unit_size:HC">Half container</button>

    </div>
      <div class="col-md-3">
        <h3>Other</h3>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="available:true">Available</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="logged_in:false">Logged out</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="logged_in:true">Logged in</button>
        <button class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" id="available:false">Unavailable</button>
        
    </div>
</div>

<div class="row">
    <table class="table display responsive" id="units_table" cellspacing="0" width="100%">
        <thead>
            <tr>
                <th data-field="name" data-sortable="true">For </th>
                <th data-field="name" data-sortable="true"> Name </th>
                <th data-field="name" data-sortable="true"> unit position number </th>
                <th data-field="name" data-sortable="true"> dropoff date </th>
                <th data-field="name" data-sortable="true"> pickup date </th>
                <th data-field="name" data-sortable="true"> Status </th>
                <th data-field="name" data-sortable="true"> Term end </th>
                <th data-field="name" data-sortable="true"> Unit archived (No  longer available for rent) </th>
            </tr>
        </thead>
        <tbody>
        </tbody>
        <tfoot>
            <tr>
            </tr>
        </tfoot>
    </table>

    <div class="loader"></div>
    <div class="col-xs-12" style="height:50px;"></div>
    <button  class="btn btn-default"  style="border: 2px solid #f4c535;" type="button" id="load_more" >Load more</button> 
   
</div>

<div class="row">
    <form id="add-pods" action="" method="post">
        <div class="form-group">
          
            <label>Size</label>
            <select required id="prefix" class="form-control"></select>
            <label>Position number</label>
            <p>This number will be capitalized</p>
            <input required name="position_numer"  id="position_number" class="form-control"/>

            <label>Unit code </label>
            <p>(The size prefix will be added to the name e.g. selecting JP and choosing a name like F54k will results in a POD name of: JP|F54k. Also note the unit name will be capitalized by the system</p>
            <input required name="unit_name"  id="unit_name" class="form-control"/>
        </div>
        <div class="col-xs-12" style="height:50px;"></div>
        <div class="form-group">
            <div class="col-xs-12" style="height:50px;"></div>
            <input class="btn btn-default"  style="border: 2px solid #f4c535;" type="submit" value="Add pods!">
           
        </div>
    </form>
</div>


{% endblock %}

   {% block scripts %}
<script src="../static/js/admin/units.js?v={{js_version}}"></script>

        {% endblock %}
